<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";

if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!="") {
if ($dostup==101){

echo '<img src="../images/img/menu.gif" alt=""> Проверка системы<br><br>';


$dir = opendir (BASEDIR."local"); 
while ($file = readdir ($dir)) 
{
if ($file!='.' && $file!='..' && $file!='license.key' && $file!='.htaccess'){
if(is_dir(BASEDIR."local/".$file)){$dires[]=$file;}else{$files[]=$file;}
}}
closedir ($dir); 

echo'<b>Готовность файлов</b><br><br>';

if(file(BASEDIR."local/.htaccess")){
echo 'Файл .htaccess задействован<br>';
if(is_writeable(BASEDIR."local/.htaccess")){echo'<font color="#FF0000">Внимание! На файл .htaccess не рекомедуется ставить права разрешающие запись<br>Установите обычные права (CHMOD) не позволяющие менять содержимое файла (обычно 644)</font><br>';}

}else{echo '<font color="#FF0000">Внимание!!! Файл .htaccess отсутствует, в данном случае безопасность не гарантируется<br>Если ваш сервер не поддерживает htaccess, рекомендуем сменить сервер, т.к. из-за отсутствия этого файла становятся доступные для злоумышленников системные, конфигурационные файлы, профили и письма пользователей<br></font>';}


$count=count($files);  
for($i=0;$i<$count;$i++){
echo 'Разрешенa запись в local/'.$files[$i].' - '; 
if(is_writeable(BASEDIR.'local/'.$files[$i])){ echo '<font color="#00FF00">Да</font>'; }else{ echo '<font color="#FF0000">Нет</font>'; }
echo ' ('.formatsize(filesize(BASEDIR.'local/'.$files[$i])).')<br>';
$count_localfiles+=filesize(BASEDIR.'local/'.$files[$i]);
} 
echo '<br>Общий вес всех файлов: <b>'.formatsize($count_localfiles).'</b><br>';
 
 echo'<br><hr><b>Готовность директорий</b><br><br>';


$count=count($dires);  
for($i=0;$i<$count;$i++){
echo 'Разрешенa запись в директорию local/'.$dires[$i].' - '; 
if(is_writeable(BASEDIR.'local/'.$dires[$i])){ echo '<font color="#00FF00">Да</font>'; }else{ echo '<font color="#FF0000">Нет</font>'; }
echo ' ('.formatsize(read_dir(BASEDIR.'local/'.$dires[$i])).')<br>';
$count_localdires+=read_dir(BASEDIR.'local/'.$dires[$i]);
} 
echo '<br>Общий вес всех директорий: <b>'.formatsize($count_localdires).'</b><br>';
 
echo'<br><br>Если какой -то пункт выделен красным необходимо зайти по фтп и выставить CHMOD разрещающую запись<br>';


echo'<br><img src="../images/img/panel.gif" alt=""> <a href="index.php?'.SID.'">В админку</a><br>';
echo'<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a><br>';

} else {header ("Location: ../index.php?isset=404&".SID);}
} else {header ("Location: ../index.php?isset=404&".SID);}

include_once"../themes/$config_themes/foot.php";
?>
